p=11;
k.<b> = GF(p^2);
R.<a2, a3, a4, a5>=PolynomialRing(k,4);
S.<t>=PolynomialRing(R);
T.<x> = PolynomialRing(k);
for a0 in [0..p-1] :
	for nu in [0,1]:
		for a1 in [0..p-1]:
			if a0==a1==0:
				continue;
			f=a0+a1*t^1+a2*t^2+a3*t^3+a4*t^4+a5*t^5+nu*t^6+t^7;
			g=f^((p-1)/2);
			coeff=g.coefficients(sparse=false);
			I=Ideal((g).coefficients(sparse=false)[p-1],(g).coefficients(sparse=false)[p-2],(g).coefficients(sparse=false)[p-3],(g).coefficients(sparse=false)[2*p-2],(g).coefficients(sparse=false)[2*p-3],(g).coefficients(sparse=false)[3*p-3]);
			J0=Ideal(f.discriminant());
			J1=Ideal(coeff[2*p-1]);
			J2=Ideal(coeff[3*p-2]);
			Isat=(I.saturation(J1)[0]).saturation(J2)[0];
			var = Isat.variety();
			for j in [0..len(var)-1]:
				f0 = sum([k(f.coefficients(sparse=false)[i].subs(var[j]))* x^i for i in [0..7]]);
				if not f0.is_squarefree():
					continue;
				C = HyperellipticCurve(f0);
				X = C.Cartier_matrix();
				if X[1,0] != 0 and X[2,1] !=0:
					print(f0);
					print(C.Cartier_matrix());
					print(C.frobenius_polynomial());


